MakeMCDoubleBarrierEngine< RNG, S > Class Template Reference

Monte Carlo double-barrier-option engine factory. More...

`#include <ql/experimental/barrieroption/mcdoublebarrierengine.hpp>`

## Public Member Functions

| MakeMCDoubleBarrierEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCDoubleBarrierEngine & | withSteps (Size steps)
MakeMCDoubleBarrierEngine & | withStepsPerYear (Size steps)
MakeMCDoubleBarrierEngine & | withBrownianBridge (bool b=true)
MakeMCDoubleBarrierEngine & | withAntitheticVariate (bool b=true)
MakeMCDoubleBarrierEngine & | withSamples (Size samples)
MakeMCDoubleBarrierEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCDoubleBarrierEngine & | withMaxSamples (Size samples)
MakeMCDoubleBarrierEngine & | withSeed (BigNatural seed)
| operator ext::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCDoubleBarrierEngine< RNG, S >

Monte Carlo double-barrier-option engine factory.